<?php
/**
* Polish Language File developed by mybboard.pl for Hide posts contents from guests 1.0
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/
/**
* MyBB Plugin:  Guests see no posts.
* -------------------------------------------------------------------------------------------
* http://community.mybboard.net
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://community.mybboard.net
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("postbit", "guests_see_no_posts");



function guests_see_no_posts_info()
{
	return array(
		"name"			=> "Guests see no posts",
		"description"	=> "Pozwala na ukrycie treści postów przed gośćmi.",
		"website"		=> "http://community.mybboard.net/",
		"version"		=> "1.0",
		"author"		=> "babjusi",
		"authorsite"	=> "http://community.mybboard.net",
		"compatibility"  => "14*",
		'guid'        => '221fab6ac51be2e24171a331ddf65f8b'
	);
}
function guests_see_no_posts_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'guestseenoposts',
		'title' => 'Ukrywanie treści postów przed gośćmi',
		'description' => 'Ustawienia pluginu Guests see no posts',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enableguestseenoposts',
		'title' => 'Włączyć ukrywanie treści postów przed gośćmi?',
		'description' => 'Po włączeniu, goście zamiast treści posta zobaczą zdefiniowaną przez Ciebie informację.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$post_content_replacement = array(
		"name" => "post_content_replacement",
		"title" => "Informacja pokazywana gościom",
		"description" => "Możesz zastąpić poniższy tekst swoim własnym.",
		"optionscode" => "textarea",
		"value" => "<strong>Witaj gościu!</strong><br />Treść tego posta dostępna jest tylko dla <strong>zalogowanych użytkowników</strong>.<br />Zachęcamy Cię do rejestracji na naszym forum. Kliknij <a href=\"member.php?action=register\">tutaj</a> aby się zarejestrować.<br />
        Jesteś już naszym użytkownikiem? <a href=\"member.php?action=login\">Zaloguj się</a> aby zobaczyć treść postów.",
		"disporder" => "3",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $post_content_replacement);
	
	$excluded_forums = array(
		'name' => 'excluded_forums',
		'title' => 'Wykluczone fora.',
		'description' => 'Podaj <strong>ID</strong> działów, w których ukrywanie postów ma zostać wyłączone. Kolejne identyfikatory rozdzielaj przecinkami.',
		'optionscode' => 'text',
		'value' => '',
		'disporder' => '4',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$excluded_forums);

rebuild_settings();
}

function guests_see_no_posts_deactivate()
{
	global $db;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='guestseenoposts'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enableguestseenoposts'");	
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='post_content_replacement'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='excluded_forums'");

rebuild_settings();
}
	
function guests_see_no_posts(&$post)	
{
global $mybb, $settings, $fid, $db;	

$guestpostscontent = $mybb->settings['post_content_replacement'];
$excludedforums = explode(",",$mybb->settings['excluded_forums']);

if(!in_array($fid,$excludedforums))
{
if($mybb->settings['enableguestseenoposts'] == 1 && $mybb->user['usergroup'] == "1")
{
$post['message'] = $guestpostscontent;
}
}
}

?>